%define nm_version          1:0.9.2
%define dbus_version        1.1
%define gtk3_version        3.0
%define ppp_version         2.4.5
%define shared_mime_version 0.16-3

%define snapshot %{nil}
%define realversion 0.9.3.997

Summary:   NetworkManager VPN plugin for pptp
Name:      NetworkManager-pptp
Epoch:     1
Version:   0.9.3.997
Release:   1%{snapshot}%{?dist}
License:   GPLv2+
Group:     System Environment/Base
URL:       http://www.gnome.org/projects/NetworkManager/
Source:    %{name}-%{realversion}%{snapshot}.tar.bz2

BuildRequires: gtk3-devel             >= %{gtk3_version}
BuildRequires: dbus-devel             >= %{dbus_version}
BuildRequires: dbus-glib-devel        >= 0.74
BuildRequires: NetworkManager-devel   >= %{nm_version}
BuildRequires: NetworkManager-glib-devel >= %{nm_version}
%if 0%{?fedora} > 16
BuildRequires: libgnome-keyring-devel
%else
BuildRequires: gnome-keyring-devel
%endif
BuildRequires: intltool gettext
BuildRequires: ppp-devel = %{ppp_version}

Requires: dbus             >= %{dbus_version}
Requires: NetworkManager   >= %{nm_version}
Requires: ppp              = %{ppp_version}
Requires: shared-mime-info >= %{shared_mime_version}
Requires: pptp
Requires: gnome-keyring
Requires(post):   /sbin/ldconfig desktop-file-utils
Requires(postun): /sbin/ldconfig desktop-file-utils


%description
This package contains software for integrating PPTP VPN support with
the NetworkManager and the GNOME desktop.

%prep
%setup -q -n NetworkManager-pptp-%{realversion}


%build
%configure \
	--disable-static \
	--enable-more-warnings=yes \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version}

make %{?_smp_mflags}

%install

make install DESTDIR=$RPM_BUILD_ROOT

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la
rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.a

rm -f %{buildroot}%{_libdir}/pppd/2.*/nm-pptp-pppd-plugin.la
rm -f %{buildroot}%{_libdir}/pppd/2.*/nm-pptp-pppd-plugin.a

%find_lang %{name}


%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
      %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
      %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS ChangeLog
%{_libdir}/NetworkManager/lib*.so*
%{_libexecdir}/nm-pptp-auth-dialog
%{_sysconfdir}/dbus-1/system.d/nm-pptp-service.conf
%{_sysconfdir}/NetworkManager/VPN/nm-pptp-service.name
%{_libexecdir}/nm-pptp-service
%{_libdir}/pppd/2.*/nm-pptp-pppd-plugin.so
#%{_datadir}/applications/nm-pptp.desktop
#%{_datadir}/icons/hicolor/48x48/apps/gnome-mime-application-x-pptp-settings.png
%dir %{_datadir}/gnome-vpn-properties/pptp
%{_datadir}/gnome-vpn-properties/pptp/nm-pptp-dialog.ui

%changelog
* Mon Mar 19 2012 Dan Williams <dcbw@redhat.com> - 1:0.9.3.997-1
- Update to 0.9.3.997 (0.9.4-rc1)

* Fri Mar  2 2012 Dan Williams <dcbw@redhat.com> - 1:0.9.3.995-1
- Update to 0.9.3.995 (0.9.4-beta1)
- ui: add support for external UI mode, eg GNOME Shell
- ui: tooltips now refer to pppd/pptp config options

* Thu Mar  1 2012 Bill Nottingham <notting@redhat.com> - 1:0.9.0-5
- Remove obsolete and broken gtk2 requirement

* Sun Feb 26 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1:0.9.0-4
- Update for unannounced gnome-keyring devel changes

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Adam Jackson <ajax@redhat.com> 0.9.0-2
- Rebuild for new libpng
- Build with -Wno-error=deprecated-declarations for now

* Fri Aug 26 2011 Dan Williams <dcbw@redhat.com> - 1:0.9.0-1
- Update to 0.9.0 release
- ui: updated translations

* Thu Jul 21 2011 Dan Williams <dcbw@redhat.com> - 1:0.8.999-2.git20110721
- ui: ensure secrets are saved when required and not saved when not required

* Tue May 03 2011 Dan Williams <dcbw@redhat.com> - 1:0.8.999-1
- Update to 0.8.999 (0.9-rc2)
- ui: default to user-stored secrets for new connections
- ui: updated translations

* Tue Apr 05 2011 Dan Williams <dcbw@redhat.com> - 1:0.8.998-1
- Update to 0.8.998 (0.9.0-rc1)
- Fix issues with secrets flags and password saving/retrieval
- Fix issues with PPTP pools using the same DNS name for different servers

* Sat Mar 26 2011 Christopher Aillon <caillon@redhat.com> - 1:0.8.995-1
- Update to 0.8.995

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 Dan Williams <dcbw@redhat.com> - 1:0.8.1-1
- Update to 0.8.1 release
- MPPE auth method UI fixes
- Lower default pptp log level and add debugging capability

* Sun Apr 11 2010 Dan Williams <dcbw@redhat.com> - 1:0.8.0-1
- Fix saving of MPPE security levels
- Updated translations

* Mon Feb  1 2010 Dan Williams <dcbw@redhat.com> - 1:0.7.997-3.git20100120
- Really fix pppd plugin directory path

* Wed Jan 20 2010 Dan Williams <dcbw@redhat.com> - 1:0.7.997-2.git20100120
- Rebuild for new pppd

* Mon Dec 14 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.997-1
- Add debugging helpers
- Fix saving MPPE-related settings from the properties dialog
- Resolve PPTP gateway hostname if necessary

* Mon Oct  5 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.996-4.git20090921
- Rebuild for updated NetworkManager

* Mon Sep 21 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.996-2
- Rebuild for updated NetworkManager

* Fri Aug 28 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.996-1
- Rebuild for updated NetworkManager
- Fix window title of Advanced dialog

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.7.0.99-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.7.0.99-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar  5 2009 Dan Williams <dcbw@redhat.com> 1:0.7.0.99-1
- Update to 0.7.1rc3

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.7.0.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Dan Williams <dcbw@redhat.com> 1:0.7.0.97-1
- Update to 0.7.1rc1
- Set a reasonable MTU
- Ensure 'noauth' is used
- Fix domain-based logins
- Fix saving MPPE values in connection editor

* Sat Jan  3 2009 Dan Williams <dcbw@redhat.com> 1:0.7.0-1.svn16
- Rebuild for updated NetworkManager
- Fix some specfile issues (rh #477153)
- Allow the EAP authentication method

* Fri Nov 21 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-12.svn4326
- Rebuild for updated NetworkManager

* Wed Oct 29 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-12.svn4229
- Fix hang in auth dialog (rh #467007)

* Mon Oct 27 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-11.svn4229
- Rebuild for updated NetworkManager
- Ensure that certain PPP options are always overriden

* Sun Oct 12 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-11.svn4178
- Rebuild for updated NetworkManager
- Allow changing passwords from the connection editor

* Sun Oct 05 2008 Lubomir Rintel <lkundrak@v3.sk> 1:0.7.0-11.svn4027
- Add pptp dependency (#465644)

* Fri Aug 29 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-10.svn4027
- Resurrect from the dead

* Mon Apr 21 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.6.4-2
- Take Dan Horak's review into account (#443807):
- Do not install versioned .so-s for properties module
- Do not do useless ldconfigs
- Remove leftover dependencies

* Mon Apr 21 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.6.4-1
- Branch this for EPEL, go back to:
- 0.6.4
- NetworkManager-pptp from NetworkManager-ppp_vpn
- Install pppd plugin correctly

* Wed Nov 21 2007 Lubomir Kundrak <lkundrak@redhat.com> 0.7.0-0.3.svn3549
- Update against trunk

* Wed Nov 21 2007 Lubomir Kundrak <lkundrak@redhat.com> 0.7.0-0.2.svn3085
- Do not exclude .so for NM, and properly generate the .name file

* Thu Nov 15 2007 Lubomir Kundrak <lkundrak@redhat.com> 0.7.0-0.1.svn3085
- Initial packaging attempt, inspired by NetworkManager-openvpn
- Nearly completly rewritten spec, all bugs in it are solely my responsibility

